#!/bin/bash
set -e

echo "This is a beta script!";
echo "The author takes no responsibility on your use or mis-use of this tool."
echo "Press enter to agree to not give me a hard time if things go wrong."
read

if [ -z $1 ]
# Exit and complain if no argument(s) given.
then
	echo "Usage: `basename $0` -d <folder>"
	echo "Where folder is where you want to put all the p4 files."
	exit 3
fi  

helpMe=0;
dirLoc=;
subDir="Perforce";

while getopts "d:h" options; do
	case $options in
		d ) dirLoc=$OPTARG;;
		h ) helpMe=1;;
	esac
done

if [ $helpMe -eq 1 ]; then
	echo "Usage: `basename $0` -d <folder>"
	echo "Where folder is where you want to put all the p4 files."
	exit 1
fi

if [ -z $dirLoc ]; then
	echo "Usage: `basename $0` -d <folder>"
	echo "You did not specify a folder!"
	echo "Where folder is where you want to put all the p4 files."
	exit 4
fi


if [ -d $dirLoc ]; then
	echo "$dirLoc exists!"
fi
if [ -d $dirLoc/$subDir ]; then
	echo "$dirLoc/$subDir ";
	echo "exists!";
	echo "remove before running!";
	exit 5;
else
	cd $dirLoc
	mkdir $subDir
fi

cd $subDir
echo "Press CTRL+C to cancel, otherwise we will put all files under `pwd`";
read
mkdir Win32
cd Win32
wget http://www.perforce.com/downloads/perforce/r08.1/bin.ntx86/p4vinst.exe
wget http://www.perforce.com/downloads/perforce/r08.1/bin.ntx86/perforce.exe
wget http://www.perforce.com/downloads/perforce/r08.1/bin.ntx86/p4webinst.exe
wget http://www.perforce.com/downloads/perforce/r08.1/bin.ntx86/p4dtg.exe
wget http://www.perforce.com/downloads/perforce/r08.1/bin.ntx86/p4winst.exe
wget http://www.perforce.com/downloads/perforce/r07.3/bin.ntx86/p4gt.exe
wget http://www.perforce.com/downloads/perforce/r07.3/bin.ntx86/p4ofc.exe
wget http://www.perforce.com/downloads/perforce/r07.3/bin.ntx86/p4rpt.exe
wget http://www.perforce.com/downloads/perforce/r08.1/bin.ntx86/p4ftpd.exe
cd ..
mkdir MacOSX-Intel
cd MacOSX-Intel
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104x86/P4V.dmg
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104x86/p4
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104x86/p4web
wget http://www.perforce.com/downloads/perforce/r08.1/bin.darwin80x86/p4d
wget http://www.perforce.com/downloads/perforce/r08.1/bin.darwin80x86/p4p
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104x86/p4ftpd
cd ..
mkdir MacOSX-PPC
cd MacOSX-PPC
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104ppc/P4V.dmg
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104ppc/p4
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104ppc/p4web
wget http://www.perforce.com/downloads/perforce/r08.1/bin.darwin80ppc/p4d
wget http://www.perforce.com/downloads/perforce/r08.1/bin.darwin80ppc/p4p
wget http://www.perforce.com/downloads/perforce/r08.1/bin.macosx104ppc/p4ftpd
